# SPDX-License-Identifier: GPL-2.0-only OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/sound/cirrus,cs530x.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Cirrus Logic cs530x family of audio ADCs

maintainers:
  - Paul Handrigan <paulha@opensource.cirrus.com>
  - patches@opensource.cirrus.com

description:
  The CS530X devices are a family of high performance audio ADCs.

allOf:
  - $ref: dai-common.yaml#
  - $ref: /schemas/spi/spi-peripheral-props.yaml#

properties:
  compatible:
    enum:
      - cirrus,cs4282
      - cirrus,cs4302
      - cirrus,cs4304
      - cirrus,cs4308
      - cirrus,cs5302
      - cirrus,cs5304
      - cirrus,cs5308

  reg:
    maxItems: 1

  spi-max-frequency:
    maximum: 24000000

  '#sound-dai-cells':
    const: 1

  reset-gpios:
    maxItems: 1

  vdd-a-supply:
    description: Analog power supply

  vdd-io-supply:
    description: Digital IO power supply

  cirrus,in-hiz-pin12:
    description:
      Sets input channels one and two to high impedance.
    type: boolean

  cirrus,in-hiz-pin34:
    description:
      Sets input channels three and four to high impedance.
    type: boolean

  cirrus,in-hiz-pin56:
    description:
      Sets input channels five and six to high impedance.
    type: boolean

  cirrus,in-hiz-pin78:
    description:
      Sets input channels seven and eight to high impedance.
    type: boolean

required:
  - compatible
  - reg
  - "#sound-dai-cells"

unevaluatedProperties: false

examples:
  - |
    #include <dt-bindings/gpio/gpio.h>

    i2c {
        #address-cells = <1>;
        #size-cells = <0>;

        cs5304: adc@48 {
            compatible = "cirrus,cs5304";
            reg = <0x48>;
            #sound-dai-cells = <1>;
            reset-gpios = <&gpio 110 GPIO_ACTIVE_LOW>;
            vdd-a-supply = <&vreg>;
            vdd-io-supply = <&vreg>;
            cirrus,in-hiz-pin34;
        };
    };
